VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "Opener"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit
Implements Command
'Klasa Opener
Private cDlg As CommonDialog
Private lbl As Label
Private fl As File

Public Sub init(cdg As CommonDialog, lb As Label)
  Set cDlg = cdg
  Set lbl = lb
  Set fl = New File
End Sub

Private Sub Command_Execute()
  cDlg.ShowOpen
  fl.setFilename cDlg.Filename
  lbl.Caption = fl.getRoot
End Sub
